Integrator
Update Default Event Duration
Update the default machine event duration for the authenticated integrator partner. Requires the appropriate role and subscription permissions.
Authorization
http AuthorizationBasic <token>
Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Request Body
application/json
New duration settings
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.ethiack.com/v1/settings/default-event-duration/" \ -H "Content-Type: application/json" \ -d '{ "duration": 60, "unit": "days" }'{
"code": 0,
"description": "string",
"id": null,
"success": true
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}